2 Replies Latest reply on Jun 12, 2009 11:37 AM by Rupert Young

    JCA build error

    Rupert Young Newbie

      Hi,

      When building a inflowgateway class I get the error below for the standard jboss classes, that looks like it is to do with the java version, even though I am using 1.6. How does ant find the java directory? Any idea what I am doing wrong?

      Rupert

      [javac] Compiling 1 source file to c:\jbossesb-server-4.5.GA\projects\socket
      rver-jca\build\classes
       [javac] c:\jbossesb-server-4.5.GA\projects\socket-server-jca\src\org\restart
      a\esb\listeners\jca\SocketEndpoint.java:5: cannot access org.jboss.soa.esb.cl
      t.ServiceInvoker
       [javac] bad class file: c:\jbossesb-server-4.5.GA\server\default\deploy\jbos
      b.sar\lib\jbossesb-rosetta.jar(org/jboss/soa/esb/client/ServiceInvoker.class)
      
       [javac] class file has wrong version 49.0, should be 47.0
       [javac] Please remove or make sure it appears in the correct subdirectory of
      e classpath.
       [javac] import org.jboss.soa.esb.client.ServiceInvoker;
       [javac] ^
       [javac] 1 error